---
title: PaymentCurrencyAmount.currencySystem
slug: Web/API/PaymentCurrencyAmount/currencySystem
tags:
  - API
  - Commerce
  - Currency
  - Currency System
  - Money
  - Obsolete
  - Payment Request
  - Payment Request API
  - PaymentCurrencyAmount
  - Property
  - Reference
  - payment
---
<p>{{securecontext_header}}{{APIRef("Payment Request API")}}</p>

<p><span class="seoSummary">The <em>obsolete</em> {{domxref("PaymentCurrencyAmount")}} property <strong><code>currencySystem</code></strong> is a string which specifies the standard being used to specify the {{domxref("PaymentCurrencyAmount.currency", "currency")}} the {{domxref("PaymentCurrencyAmount.value", "value")}} is specified in.</span> For example, the default is <code>urn:iso:std:iso:4217</code>, which specifies that the standard used is {{interwiki("wikipedia", "ISO 4217")}}.</p>

<div class="notecard warning">
<p><strong>Warning:</strong> This property has been removed from the specification and should no longer be used; the currency is now <em>always</em> specified using ISO 4127.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>currencySystem</em> = <em>paymentCurrencyAmount</em>.currencySystem;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} which specifies the currency standard used to specify the {{domxref("PaymentCurrencyAmount.currency", "currency")}} in which the payment value is represented. The default, <code>urn:iso:std:iso:4217</code>, indicates the <a href="https://www.iso.org/iso-4217-currency-codes.html">ISO 4217</a> standard.</p>

<p>This obsolete property was removed in the <a href="https://www.w3.org/TR/2018/CR-payment-request-20180503">May 3, 2018 update</a> of the Payment Request API specification.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentcurrencyamount','PaymentCurrencyAmount')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>No longer part of the specification</td>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentcurrencyamount')}}<br>
    <small><a href="https://www.w3.org/TR/2018/CR-payment-request-20180320/#dom-paymentcurrencyamount-currencysystem">The definition of 'PaymentCurrencyAmount.currencySystem' in that specification.</a></small></td>
   <td>{{Spec2('Payment')}}</td>
   <td>The March 20, 2018 version of the specification; the last one to include this property</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentCurrencyAmount.currencySystem")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Using_the_Payment_Request_API">Using the Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Concepts">Payment processing concepts</a></li>
</ul>
